.container {
    max-width: 1100px;
    margin: 0 auto;
    overflow: auto;
    padding: 0 40px;
}

.grid-65-35 {
    display: grid;
    grid-template-columns: 65% 35%;
    gap: 30px;
    overflow: visible;
}

.grid-40-60 {
    display: grid;
    grid-template-columns: 40% 60%;
    gap: 30px;
    overflow: visible;
}

.cards-flex {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.card {
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    padding: 20px;
    margin: 10px;
    text-align: center;
}

.card a:hover {
    text-shadow: none;
}

.card-clickable {
    /* cursor: pointer; */
    transition: 0.2s ease-in;
}

.card-clickable:hover {
    transform: translateX(-2px) translateY(-2px);
    box-shadow: 0 0 12px rgba(0, 0, 0, .15);
}

.card-img-bg-txt {
    width: 320px;
    padding: 0;
}

.card-img-bg-txt .img {
    height: 170px;
    border-radius: 5px 5px 0 0;
    background-size: cover;
}

.card-img-bg-txt .text {
    padding: 10px 20px 20px;
}

.card-img-sm-txt {
    width: 160px;
    height: 170px;
}

.card-img-sm-txt a {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    height: 100%;
}

.card-img-sm-txt h4 {
    margin-bottom: 15px;
}

.card-img-sm-txt img {
    width: 100%;
}

.card-img {
    padding: 0;
    width: 267px;
    height: 135px;
    background-size: contain;
    position: relative;
}

.card-img-link div {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.2s;
    border-radius: 5px;
    cursor: pointer;
}

.card-img-link div p {
    display: inline-block;
    color: var(--color-text-light);
    border: 1px solid var(--color-text-light);
    padding: 5px 15px;
}

.card-img-link:hover div {
    opacity: 1;
}

a.btn:hover {
    text-shadow: none;
}

.section-title {
    text-align: center;
}

.card-img-circle-text {
    width: 300px;
    padding: 0;
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.card-img-circle-text .img {
    height: 260px;
    width: 260px;
    border-radius: 50%;
    background-size: cover !important;
}

.card-img-circle-text h3 {
    padding-top: 15px;
}

.card-img-circle-text p {
    text-align: left;
}

.form-control {
    margin: 30px 0;
}

.form-control input[type='text'],
.form-control input[type='password'],
.form-control input[type='email'],
.form-control textarea {
    border: 0;
    border-bottom: 1px solid var(--color-text-default);
    width: 100%;
    padding: 3px;
    font-size: 1.1rem;
    color: var(--color-text-default);
    font-family: 'Saira', sans-serif;
}

.form-control textarea {
    outline: none;
    resize: none;
    font-family: 'Saira', sans-serif;
    color: var(--color-text-default);
}

.form-control input:focus {
    outline: none;
}

.btn-primary {
    background-color: var(--color-primary);
    color: var(--color-text-light);
    border-color: var(--color-text-light);
}

.btn-primary-outline {
    background-color: transparent;
    border-color: var(--color-primary);
    color: var(--color-primary);
}

.btn-secondary {
    background-color: var(--color-secondary);
    color: var(--color-text-light);
    border-color: var(--color-text-light);
}

.btn-secondary-outline {
    background-color: transparent;
    border-color: var(--color-secondary);
    color: var(--color-secondary);
}

.btn-danger {
    background-color: var(--color-danger);
    color: var(--color-text-light);
    border-color: var(--color-text-light);
}

.btn-danger-outline {
    background-color: transparent;
    color: var(--color-danger);
    border-color: var(--color-danger);
}

.btn-medium {
    padding: 10px 18px;
}

.btn-large {
    padding: 18px;
}

.txt-alert {
    font-weight: bolder;
    border-left: 3px solid;
    padding: 8px;
    margin: 4px 0;
}

.txt-alert.txt-danger {
    color: var(--color-danger);
    border-color: var(--color-danger);
}

/* loading indicator from 'loading.io/css/' */
.lds-dual-ring {
    display: inline-block;
    /* width: 80px;
    height: 80px; */
}

.lds-dual-ring:after {
    content: " ";
    display: block;
    width: 10px;
    height: 10px;
    margin-right: 8px;
    border-radius: 50%;
    border: 4px solid #fff;
    border-color: #fff transparent #fff transparent;
    animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

span .tag {
    background-color: #aaa;
    border-radius: 8px;
    color: #fff;
    padding: 0px 5px;
    margin: 0 3px;
    font-size: .9rem;
}

.search-grp {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    max-width: 700px;
    margin: 20px auto;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
}

.search-grp input {
    padding: 8px;
    padding-left: 16px;
    width: 90%;
    border: none;
    outline: none;
    font-family: inherit;
    font-size: 1.1rem;
}

.search-grp span {
    display: block;
    width: 10%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 44px;
    cursor: pointer;
    transition: .2s color;
}

.search-grp span:hover {
    color: var(--color-primary);
}

.search-grp span:active {
    color: var(--color-dark);
}

.search-grp span i {
    margin: 10px;
}

.pagination {
    display: flex;
    margin: 15px auto;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.pagination li button {
    box-shadow: 0 0 1px rgba(0, 0, 0, .2);
    border-radius: 2px;
    padding: 8px 14px;
    margin: 8px 1px;
    min-width: 40px;
    cursor: pointer;
}

.pagination li button:hover {
    background-color: rgba(107, 185, 201, 0.2);
    text-shadow: unset;
}

.pagination li button.active {
    background-color: #333;
    color: var(--color-text-light);
    border: 1px solid #333;
    cursor: default;
    /* padding: 10px 16px; */
}

.pagination li button.active:hover {
    opacity: unset;
}

.alert-message {
    padding: 20px;
}

.alert-message span:nth-child(2) {
    margin-left: 10px;
}

.alert-message.success {
    background-color: rgba(22, 250, 14, 0.3);
    border-left: 3px solid rgba(39, 148, 39, 0.6);
    color: rgba(39, 148, 39, 1);
}

.alert-message.error {
    background-color: rgba(250, 14, 14, 0.3);
    border-left: 3px solid rgba(148, 39, 39, 0.6);
    color: rgba(148, 39, 39, 1);
}

